Package org.jfree.layouting.input.style.keys.column

## Class ColumnStyleKeys

- java.lang.Object
- - org.jfree.layouting.input.style.keys.column.ColumnStyleKeys

-     public class ColumnStyleKeys
      extends java.lang.Object

  Creation-Date: 03.12.2005, 20:48:04 * column-count column-width column-min-width column-width-policy The second group of properties describes the space between columns: column-gap column-rule column-rule-color column-rule-style column-rule-width The third group consists of one property which make it possible an element to span several columns: column-span
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StyleKey` | `COLUMN_BALANCE` | Defines, whether column contents should be balanced.
    `static StyleKey` | `COLUMN_COUNT` |
    `static StyleKey` | `COLUMN_GAP` |
    `static StyleKey` | `COLUMN_MIN_WIDTH` |
    `static StyleKey` | `COLUMN_RULE_COLOR` |
    `static StyleKey` | `COLUMN_RULE_STYLE` |
    `static StyleKey` | `COLUMN_RULE_WIDTH` |
    `static StyleKey` | `COLUMN_SPACE_DISTRIBUTION` |
    `static StyleKey` | `COLUMN_SPAN` |
    `static StyleKey` | `COLUMN_WIDTH` |
    `static StyleKey` | `COLUMN_WIDTH_POLICY` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLUMN_COUNT

          public static final StyleKey COLUMN_COUNT

    - #### COLUMN_SPACE_DISTRIBUTION

          public static final StyleKey COLUMN_SPACE_DISTRIBUTION

    - #### COLUMN_WIDTH

          public static final StyleKey COLUMN_WIDTH

    - #### COLUMN_MIN_WIDTH

          public static final StyleKey COLUMN_MIN_WIDTH

    - #### COLUMN_WIDTH_POLICY

          public static final StyleKey COLUMN_WIDTH_POLICY

    - #### COLUMN_GAP

          public static final StyleKey COLUMN_GAP

    - #### COLUMN_RULE_COLOR

          public static final StyleKey COLUMN_RULE_COLOR

    - #### COLUMN_RULE_STYLE

          public static final StyleKey COLUMN_RULE_STYLE

    - #### COLUMN_RULE_WIDTH

          public static final StyleKey COLUMN_RULE_WIDTH

    - #### COLUMN_SPAN

          public static final StyleKey COLUMN_SPAN

    - #### COLUMN_BALANCE

          public static final StyleKey COLUMN_BALANCE

      Defines, whether column contents should be balanced. Another idea stolen from OpenOffice :)